#
# spec file for package gdm
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           gdm
BuildRequires:  check-devel
BuildRequires:  fdupes
BuildRequires:  gconf2-devel
BuildRequires:  gnome-doc-utils-devel
BuildRequires:  gnome-panel-devel
BuildRequires:  gnome-patch-translation
BuildRequires:  intltool
BuildRequires:  iso-codes-devel
BuildRequires:  libcanberra-devel
BuildRequires:  libselinux-devel
BuildRequires:  libupower-glib-devel
BuildRequires:  libxklavier-devel
BuildRequires:  pam-devel
BuildRequires:  pwdutils
BuildRequires:  tcpd-devel
BuildRequires:  translation-update-upstream
BuildRequires:  update-desktop-files
BuildRequires:  xorg-x11-server
BuildRequires:  xorg-x11-server-extra
BuildRequires:  zenity
License:        GPLv2+
Group:          System/GUI/GNOME
Version:        2.32.0
Release:        9.16.1
Summary:        The GNOME Display Manager
Source:         %{name}-%{version}.tar.bz2
Source1:        gdm.pamd
Source2:        gdm-autologin.pamd
# PATCH-FEATURE-UPSTREAM gdm-plymouth.patch vuntz@opensuse.org -- Get a nice transition from plymouth; taken from Fedora
Patch0:         gdm-plymouth.patch
# PATCH-FIX-UPSTREAM gdm-plymouth-X-nr.patch vuntz@opensuse.org -- Patch on top of the previous patch (we keep it separate so it's easy to sync with Fedora) to use -nr when starting X
Patch1:         gdm-plymouth-X-nr.patch
# PATCH-FIX-UPSTREAM gdm-helper-directory.patch bgo582320 vuntz@novell.com -- Add --with-gnome-settings-daemon-directory, --with-consolekit-directory, --with-at-spi-registryd-directory
Patch2:         gdm-helper-directory.patch
# PATCH-FIX-OPENSUSE gdm-is-not-unstable-unless.patch vuntz@opensuse.org -- Make gdm think it's never running a development version unless SUSE_ENABLE_UNSTABLE_CHECK is set. This disables fatal warnings as well as abusive log
Patch3:         gdm-is-not-unstable-unless.patch
# PATCH-FIX-UPSTREAM gdm-vt-allocation-hack.patch bgo511168 hpj@novell.com -- Needed for user switching
Patch4:         gdm-vt-allocation-hack.patch
# PATCH-FIX-UPSTREAM gdm-focus-user-chooser.patch bgo#629310 bnc#652938 vuntz@opensuse.org -- Correctly give the focus to the user chooser on startup
Patch5:         gdm-focus-user-chooser.patch
# PATCH-FIX-OPENSUSE gdm-desktop-session-env-pam.patch bnc427744 vuntz@novell.com -- Sets a PAM environment variable to let the pam gnome-keyring module know which session is started
Patch6:         gdm-desktop-session-env-pam.patch
# PATCH-FIX-OPENSUSE gdm-suse-xsession.patch vuntz@novell.com -- Use the /etc/X11/xdm/* scripts
Patch7:         gdm-suse-xsession.patch
# PATCH-FIX-OPENSUSE gdm-sysconfig-settings.patch bnc432360 hpj@novell.com -- Read autologin options from /etc/sysconfig/displaymanager
Patch8:         gdm-sysconfig-settings.patch
# PATCH-FEATURE-OPENSUSE gdm-passwordless-login.patch vuntz@opensuse.org -- Support DISPLAYMANAGER_PASSWORD_LESS_LOGIN sysconfig option
Patch9:         gdm-passwordless-login.patch
# PATCH-NEEDS-REBASE gdm-domain-logon.patch hpj@novell.com -- Add UI to log in a specific domain (was: PATCH_FEATURE-SLED bnc#627575)
Patch10:        gdm-domain-logon.patch
# PATCH-FIX-UPSTREAM gdm-xdmcp-disconnect.patch vuntz@opensuse.org -- Make XDMCP disconnect work, taken from git.
Patch11:        gdm-xdmcp-disconnect.patch
# PATCH-FIX-UPSTREAM gdm-greeter-greater-ui.patch bnc436431 bgo560508 vuntz@novell.com -- Improve the layout of the greeter. Note: the patch contains a patched glade file *and* the result glade file (for reference only, in case we need to rebase the patch)
Patch15:        gdm-greeter-greater-ui.patch
# PATCH-FIX-UPSTREAM gdm-always-reflect-keyboard-layout.patch bnc438159 bgo561771 hpj@novell.com -- Make keyboard selector not neglect to apply the selected keyboard in some situations.
Patch18:        gdm-always-reflect-keyboard-layout.patch
# PATCH-FIX-UPSTREAM gdm-selecting-desktop-environment.patch bnc460591 mxwu@novell.com -- Selecting the right desktop environment
Patch20:        gdm-selecting-desktop-environment.patch
# PATCH-FIX-OPENSUSE gdm-gconf-path.patch vuntz@novell.com -- Fix gconf paths to be consistent with the ones used in openSUSE
Patch31:        gdm-gconf-path.patch
# PATCH-FIX-OPENSUSE gdm-default-wm.patch vuntz@novell.com -- Use sysconfig to know to which desktop to use by default
Patch34:        gdm-default-wm.patch
# PATCH-FIX-OPENSUSE gdm-xauthlocalhostname.patch bgo555464 vuntz@novell.com -- Set XAUTHLOCALHOSTNAME to localhost for local logins to avoid issues in the session in case the hostname changes
Patch35:        gdm-xauthlocalhostname.patch
# PATCH-FIX-UPSTREAM gdm-autologin-once.patch bgo587606 vuntz@novell.com -- Make autologin work only once
Patch37:        gdm-autologin-once.patch
# PATCH-FIX-UPSTREAM gdm-look-at-runlevel.patch bnc540482 bgo599180 vuntz@opensuse.org -- Look at the current runlevel before managing the display again, so we don't do this when shutting down or rebooting
Patch40:        gdm-look-at-runlevel.patch
# PATCH-FIX-UPSTREAM gdm-no-uri-handler.patch CVE-2011-1709 bnc#694858 vuntz@opensuse.org -- Use /bin/true as URI handler to avoid security issues where a link could open firefox for the gdm user
Patch41:        gdm-no-uri-handler.patch
# PATCH-FIX-OPENSUSE gdm-selinux.patch -- Small changes to make it compile fine with SELinux
Patch60:        gdm-selinux.patch
# PATCH-FIX-UPSTREAM gdm-CVE-2011-0727-bnc679786.patch CVE-2011-0727 bnc#679687 dimstar@opensuse.org -- Change to user before copying user files.
Patch61:        gdm-CVE-2011-0727-bnc679786.patch
Url:            http://www.gnome.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
DocDir:         %{_defaultdocdir}
Provides:       gdm2 = %{version}
Obsoletes:      gdm2 < %{version}
Requires:       %{name}-branding
Requires:       ConsoleKit-x11
Requires:       gnome-session-core
Requires:       gnome-themes
Requires:       klogd
Requires:       xorg-x11-server-extra
# For groupadd, useradd, usermod
PreReq:         pwdutils
PreReq:         %insserv_prereq
Recommends:     %{name}-lang
Recommends:     gnome-power-manager
Recommends:     gnome-settings-daemon
Recommends:     iso-codes
%gconf_schemas_prereq

%description
This version of GDM, the GNOME display manager, is based on GTK2 and is
suited for the GNOME Desktop. GDM is a flexible X Window System
display manager that has many options, is usable for remote login, and
provides a good looking graphical interface.

%package branding-upstream
License:        GPLv2+
Summary:        The GNOME Display Manager
Group:          System/GUI/GNOME
Provides:       %{name}-branding = %{version}
Conflicts:      otherproviders(%{name}-branding)
Supplements:    packageand(%{name}:branding-upstream)
#BRAND: Provide two equal files - /usr/share/gdm/defaults.conf and
#BRAND: factory-defaults.conf with default configuration of gdm.
#BRAND: Branding package requires the package with the default theme.
#NOTE: We may want to create gdm-themes with upstream themes.

%description branding-upstream
This version of GDM, the GNOME display manager, is based on GTK2 and is
suited for the GNOME Desktop. GDM is a flexible X Window System
display manager that has many options, is usable for remote login, and
provides a good looking graphical interface.

%package -n gnome-applets-gdm
License:        GPLv2+
Summary:        Switch User Panel Applet
Group:          System/GUI/GNOME
Supplements:    packageand(%{name}:gnome-panel)
Provides:       fast-user-switch-applet = 2.22.0
Obsoletes:      fast-user-switch-applet <= 2.22.0

%description -n gnome-applets-gdm
This package provides the switch user panel applet, that uses GDM,
the GNOME display manager.

%lang_package
%prep
%setup -q
translation-update-upstream
#gnome-patch-translation-prepare
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
#%patch10 -p1
%patch11 -p1
%patch15 -p1
%patch18 -p1
%patch20 -p1
%patch31 -p1
%patch34 -p1
%patch35 -p0
%patch37 -p1
%patch40 -p1
%patch41 -p1
%patch60
%patch61 -p1
#gnome-patch-translation-update

%build
libtoolize -f -i
autoreconf -f -i
%configure\
	--libexecdir=%{_prefix}/lib/gdm \
	--localstatedir=%{_localstatedir} \
	--with-at-spi-registryd-directory=%{_libexecdir}/at-spi \
	--with-gnome-settings-daemon-directory=%{_libexecdir}/gnome-settings-daemon \
	--with-consolekit-directory=%{_libexecdir}/ConsoleKit \
        --with-polkit-gnome-directory=%{_libexecdir}/polkit-gnome \
	--with-selinux \
	--enable-ipv6\
	--disable-scrollkeeper
%__make %{?jobs:-j%jobs}

%install
%makeinstall
%if 0%{?suse_version} <= 1120
%{__rm} %{buildroot}%{_datadir}/locale/en@shaw/LC_MESSAGES/*
%endif
%find_gconf_schemas
# Remove wrapper, it is not needed.
mv $RPM_BUILD_ROOT%{_sbindir}/gdm-binary $RPM_BUILD_ROOT%{_sbindir}/gdm
# Install PAM files.
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
cp %{S:1} $RPM_BUILD_ROOT/etc/pam.d/gdm
cp %{S:2} $RPM_BUILD_ROOT/etc/pam.d/gdm-autologin
# Install PostLogin script.
mv $RPM_BUILD_ROOT%{_sysconfdir}/gdm/PostLogin/Default.sample $RPM_BUILD_ROOT%{_sysconfdir}/gdm/PostLogin/Default
mkdir -p $RPM_BUILD_ROOT{_localstatedir}/log/gdm
mkdir -p $RPM_BUILD_ROOT{_localstatedir}/run/gdm
%find_lang %{name} %{?no_lang_C}
mkdir -p $RPM_BUILD_ROOT%{_bindir}
ln -s ../sbin/gdm $RPM_BUILD_ROOT%{_bindir}/gdm
%fdupes $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%pre -f %{name}.schemas_pre
/usr/sbin/groupadd -r gdm 2> /dev/null || :
/usr/sbin/useradd -r -o -g gdm -s /bin/false \
-c "Gnome Display Manager daemon" -d /var/lib/gdm gdm 2> /dev/null || :
/usr/sbin/usermod -g gdm -G gdm -s /bin/false gdm 2> /dev/null
# Fix incorrect interpretation of DISPLAYMANAGER_PASSWORD_LESS_LOGIN (#307566).
# Last done in SLED10&10.1, first fixed in 10.3.
# Can be removed after SLES12:
if test -f sbin/conf.d/SuSEconfig.gdm && grep -q gdm-autologin sbin/conf.d/SuSEconfig.gdm ; then
    if grep -q '^DISPLAYMANAGER_PASSWORD_LESS_LOGIN="no"' etc/sysconfig/displaymanager ; then
	sed 's/^\(auth[[:space:]][[:space:]]*\)include[[:space:]]\([[:space:]]*\)common-auth/\1required\2pam_permit.so/' <etc/pam.d/gdm-autologin >etc/pam.d/gdm-autologin.new
	if cmp -s etc/pam.d/gdm-autologin etc/pam.d/gdm-autologin.new ; then
	    rm etc/pam.d/gdm-autologin.new
	else
	    mv etc/pam.d/gdm-autologin.new etc/pam.d/gdm-autologin
	fi
    fi
fi
# Fix how DISPLAYMANAGER_PASSWORD_LESS_LOGIN is used. Before 11.4,
# /etc/pam.d/gdm was changed to use pam_permit. We don't want this anymore.
if test -f /sbin/conf.d/SuSEconfig.gdm; then
    grep -q pam_permit.so /etc/pam.d/gdm
    if test $? -eq 0; then
        # We'll just use the file from the new package
        mv /etc/pam.d/gdm /etc/pam.d/gdm.rpmold
    fi
fi

%post
%icon_theme_cache_post

%preun -f %{name}.schemas_preun

%posttrans -f %{name}.schemas_posttrans

%postun
%insserv_cleanup
%icon_theme_cache_postun

%files -f %{name}.schemas_list
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%dir %{_datadir}/gnome/
%dir %{_datadir}/gnome/help/
%dir %{_datadir}/gnome/help/%{name}/
%doc %{_datadir}/gnome/help/%{name}/C/
%dir %{_datadir}/omf/
%dir %{_datadir}/omf/%{name}/
%doc %{_datadir}/omf/%{name}/%{name}-C.omf
%dir %config %{_sysconfdir}/gdm
%config %{_sysconfdir}/gdm/[IPXl]*
%{_sbindir}/gdm
%{_bindir}/*
%{_datadir}/gdm/
%{_datadir}/pixmaps/*.png
%{_datadir}/pixmaps/faces
%{_datadir}/icons/*/*/*/*.*
%dir %{_libexecdir}/gdm
%{_libexecdir}/gdm/gdm-*
%exclude %{_libexecdir}/gdm/gdm-user-switch-applet
%attr(750,gdm,gdm) %dir %{_localstatedir}/lib/gdm
%ghost %attr(751,gdm,gdm) %dir %{_localstatedir}/run/gdm
%attr(750,gdm,gdm) %dir %{_localstatedir}/log/gdm
%attr(750,gdm,gdm) %dir %{_localstatedir}/lib/gdm/.gconf.mandatory
%attr(640,gdm,gdm) %{_localstatedir}/lib/gdm/.gconf.mandatory/%gconf-tree.xml
%attr(640,gdm,gdm) %{_localstatedir}/lib/gdm/.gconf.path
%attr(750,gdm,gdm) %dir %{_localstatedir}/lib/gdm/.local
%attr(750,gdm,gdm) %dir %{_localstatedir}/lib/gdm/.local/share
%attr(750,gdm,gdm) %dir %{_localstatedir}/lib/gdm/.local/share/applications
%attr(750,gdm,gdm) %{_localstatedir}/lib/gdm/.local/share/applications/mimeapps.list
%attr(750,gdm,gdm) %{_localstatedir}/lib/gdm/.local/share/applications/mime-dummy-handler.desktop
%dir %{_localstatedir}/cache/gdm
%config /etc/pam.d/*
%config %{_sysconfdir}/dbus-1/system.d/gdm.conf

%files branding-upstream
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/gdm/custom.conf

%files -n gnome-applets-gdm
%defattr(-,root,root)
%{_libexecdir}/gdm/gdm-user-switch-applet
%{_libdir}/bonobo/servers/GNOME_FastUserSwitchApplet.server
%{_datadir}/gnome-2.0/ui/GNOME_FastUserSwitchApplet.xml

%files lang -f %{name}.lang

%changelog
* Mon May 23 2011 vuntz@opensuse.org
- Add gdm-no-uri-handler.patch: gdm is supposed to override the
  default URI handlers to /bin/true to avoid things like running
  Firefox in the GDM session. However, this was done in gconf and
  with the move to glib 2.28, the configuration moved outside of
  gconf. The patch updates the overrides. Fix bnc#694858 and
  CVE-2011-1709.
* Wed Mar 30 2011 dimstar@opensuse.org
- Add gdm-CVE-2011-0727-bnc679786.patch: worker: change to a user
  before copying user files to prevent a possible symlink local
  root exploit attack. CVE-2011-0727, bnc#679786.
* Tue Feb 15 2011 vuntz@opensuse.org
- Add gdm-xdmcp-disconnect.patch: the Disconnect option should tell
  the gdm daemon to disconnect, instead of just making the greeter
  exit. And the daemon should exit. Taken from git. Fix bnc#669392.
* Sun Feb 13 2011 vuntz@opensuse.org
- Call relevant macros in %%post/%%postun:
  + %%icon_theme_cache_post/postun because the package ships themed
    icons.
- Pass %%{?no_lang_C} to %%find_lang so that english documentation
  can be packaged with the program, and not in the lang subpackage.
- Change Requires of lang subpackage to Recommends, since the
  english documentation is not there anymore.
* Fri Jan 14 2011 vuntz@opensuse.org
- Rebase gdm-vt-allocation-hack.patch to actually apply.
- Apply gdm-vt-allocation-hack.patch on 11.4 and later again: the
  topic needs more discussion, and without the hack, on a default
  boot, a mingetty instance will receive all the input from Xorg.
  This is because Xorg will start on tty2 and a mingetty will also
  start there, because of the sysvinit configration. This is
  extremely bad, since this means everything the user types will
  lead to login attemps in mingetty.
- Add gnome-power-manager and iso-codes Recommends: they are both
  improving the gdm experience, but are not mandatory.
* Tue Jan 11 2011 vuntz@opensuse.org
- Add gdm-focus-user-chooser.patch: correctly give the focus to the
  user chooser on startup. Fix bnc#652938.
* Thu Dec 16 2010 vuntz@opensuse.org
- Add gdm-plymouth-X-nr.patch to start Xorg with -nr instead of the
  non-existing "-background none". Thanks to Kay Sievers!
* Wed Dec 15 2010 vuntz@opensuse.org
- Only apply gdm-vt-allocation-hack.patch on openSUSE 11.3 and
  earlier: with 11.4, we have a recent-enough version of Xorg that
  does this magic for us. Thanks to Kay Sievers for the hint!
- Add gdm-plymouth.patch: this patch adds support for a nice
  transition from plymouth. Taken from Fedora.
* Fri Oct  8 2010 vuntz@opensuse.org
- Rework the way we handle passwordless logins:
  + Stop using SuSEconfig for this. Since this is the last thing
    that was done in SuSEconfig.gdm, drop SuSEconfig.gdm.
  + Add gdm-passwordless-login.patch: we now directly look at the
    DISPLAYMANAGER_PASSWORD_LESS_LOGIN option in
    /etc/sysconfig/displaymanager, and use the gdm-autologin pam
    service for authentication when we want passwordless logins.
  + On upgrades, we make sure that /etc/pam.d/gdm does not contain
    the old way to handle DISPLAYMANAGER_PASSWORD_LESS_LOGIN: if
    /sbin/conf.d/SuSEconfig.gdm exists and if /etc/pam.d/gdm
    contains pam_permit.so, then we have an old package which used
    the old way. We move /etc/pam.d/gdm to /etc/pam.d/gdm.rpmold to
    make sure we get back the right pam configuration.
- Update gdm-domain-logon.patch a bit: even though it's not
  applied because the patch needs to be rebased, a few things could
  be cleaned up. The most visible part is that we prefix the
  configuration key with SUSE to clearly show it's SUSE-specific.
- Update gdm-sysconfig-settings.patch a tiny bit to make
  gdm-passwordless-login.patch easier.
* Mon Sep 27 2010 vuntz@opensuse.org
- Update to version 2.32.0:
  + Updated translations.
* Mon Sep 27 2010 aj@suse.de
- Mark /var/run/gdm as ghost in case that /var/run is on tmpfs.
  gdm creates the directory itself.
* Wed Sep 22 2010 vuntz@opensuse.org
- Rename gdm-2.21.9-no-fatal-warnings.patch to
  gdm-is-not-unstable-unless.patch, and change the behavior:
  if the SUSE_ENABLE_UNSTABLE_CHECK environment variable is set, we
  just do like upstream. If it is not set, we make GDM assume it's
  not running a development version, which disables fatal warnings
  and verbose logs.
* Thu Sep 16 2010 vuntz@opensuse.org
- Update to version 2.31.92:
  + Change orca invocation to work better with latest release
  + Fix "Other..." item in network-login-only scenarios
  + Move gdm.schemas to pkgdatadir
  + XDMCP fixes
  + Improve ordering of languages in languages list
  + Make various slow calls that blocked before asynchronous
  + Fix up dbus security policy
  + Various other fixes
  + Translation updates
- Drop gdm-fix-dbus-properties.patch: fixed upstream.
* Mon Sep 13 2010 vuntz@opensuse.org
- Add gdm-fix-dbus-properties.patch: org.gnome.DBus.Properties was
  referenced instead of org.freedesktop.DBus.Properties in the dbus
  configuration. Fix bnc#633655.
- Move fast-user-switch-applet Obsoletes to gnome-applets-gdm and
  add a Provides there too: the applet is really the old
  fast-user-switch-applet applet.
* Wed Aug 18 2010 dimstar@opensuse.org
- Update to version 2.31.90:
  + Port to upower
  + Don't stomp on $LANGUAGE environment variable
  + Don't show markup in UI
  + Fix cancel button
  + Reask user for password a few times, before failing
  + Load users asynchronously
  + Handle EINTR on getpw* calls
  + Translation updates
- Replace DeviceKit-power-devel BuildRequires with
  libupower-glib-devel.
* Sun Aug  8 2010 vuntz@opensuse.org
- Cleanup update to 2.31.2, based on the 2.30.4 package I did for
  GNOME:STABLE:2.30.
- Drop gdm-save-panel-space-on-low-resolutions.patch: fixed
  upstream, in a different way.
- Drop gdm-add-missing-locale.patch: the file is now in the
  tarball.
- Update gdm-default-wm.patch after code change.
- Rebase gdm-greeter-greater-ui.patch.
* Fri Jul 30 2010 dimstar@opensuse.org
- Update to version 2.31.2:
  + Add support for legacy "custom" session name
  + XDMCP fixes
  + Add optional support for account service
  + Gracefully hide control center from user switch menu if not
    available
  + Revert metacity focus workaround, now that metacity is fixed
  + Rehide g-p-m context menu
  + Updates to work better with newer icon theme
  + Show username input box when there's no local user
  + Remove gdm-restart and gdm-stop scripts
  + Remove text labels from option menus
  + Various user manager and user chooser fixes and performance
    enhancements
  + Escape names before showing markup
  + Call button "unlock" not "login" when user is already logged
    in
  + Cap how long ck-history is allowed to run and how far back its
    allowed to go
  + Improvements to the way users are sorted
  + Ensure slave's children always die with the slave
  + Use lsb_release if available to determine system description
  + Automatically retry on login failure
  + Fix timed login + disable-user-list together
  + Don't exit when X fails to start
  + Trap XAddHosts call
  + Minor fixes in screenshot tool
  + Halectomy of the last remnants of hal
  + Various crasher fixes
  + Various memory leaks
  + Various build and warning fixes
- Changes from version 2.31.1:
  + bgo#594818: Now GDM saves its GConf settings per-seat.
  + Improvements so compiling with -DGSEAL_ENABLE works better.
  + Use g_remove() to remove directories instead of g_unlink().
  + Other bugs fixed: bgo#617661, bgo#576801, bgo#609272,
    bgo#591937
- Rebase gdm-vt-allocation-hack.patch to apply without fuzz.
- Rebase gdm-xauthlocalhostname.patch.
- Mark gdm-domain-logon.patch as needing a rebase: it's a SLED
  patch that is intrusive, so we'll see if someone rebases it.
  Comment out gnome-patch-translation-prepare and
  gnome-patch-translation-update calls since this patch was the one
  introducing strings.
- Drop gdm-polkit-gnome-path.patch: fixed upstream with a
  configure option that we already passed
  (--with-polkit-gnome-directory).
- Drop gdm-xdmcp-uninitialized.patch: fixed upstream.
- Drop gdm-greeter-no-local-user.patch: fixed upstream.
* Tue Jun 22 2010 vuntz@opensuse.org
- Add gdm-greeter-no-local-user.patch to fix the greeter to work
  when there's no local user on the machine; this is useful with
  NIS for example. Fix bnc#615044; the patch was committed
  upstream.
* Thu Jun 17 2010 captain.magnus@opensuse.org
- Add gdm-xdmcp-uninitialized.patch to fix an uninitialized
  variable, which caused XDMCP to fail way too often. Patch taken
  from upstream git.
* Thu Jun 17 2010 vuntz@opensuse.org
- Update gdm-greeter-greater-ui.patch: we didn't rebase it earlier,
  and lost our improved UI.
* Mon May 24 2010 guido+opensuse.org@berhoerster.name
- Fixed filelist
* Mon May 24 2010 guido+opensuse.org@berhoerster.name
- Split off gnome-applets-gdm
* Sun May 23 2010 guido+opensuse.org@berhoerster.name
- Depend on gnome-session-core rather than gnome-session
* Fri May  7 2010 captain.magnus@opensuse.org
- Update to version 2.30.2:
  + Accessibility is now enabled by default for the GDM login
    screen
  + When the face browser is disabled, the PAM conversation is
    started immediately, so users do not need to click a button to
    start entering the username and password. bgo#591082
  + Add label-for and labelled-by a11y relations to the entry field
    in the login GUI. This makes the login GUI more accessible when
    using AT programs. bgo#613434
  + Fixed bugs that were causing XDMCP to not show the greeter
    again after logout. bgo#606724
  + The default XDMCP PingIntervalSeconds was increased from 15 to
    60 seconds
  + The WINDOWPATH environment variable is now set for the user
    session. bgo#609272
  + Ensure Init script is called when using Automatic Login.
    bgo#614488
  + Fix race condition with Timed Login. bgo#614062
  + Drop xhost localuser:gdm and localuser:root when the user
    session starts. bgo#605350
  + Removed the icon monitor from the GDM login GUI since it was
    not functional and was causing problems with automounting
    user's HOME directories. #609321
  + Do not mark "%%x" for translation. bgo#613306
  + Remove duplicated strings for translation. bgo#609179
  + Minor doc corrections
  + Translation updates
- gdm-greeter-greater-ui.patch does not apply and is commented out
  temporarily
- Respin gdm-xauthlocalhostname.patch for fuzz=0
- Respin gdm-polkit-gnome-path.patch
* Thu Apr  8 2010 vuntz@opensuse.org
- Use the path for the at-spi-registryd from the old at-spi stack:
  the at-spi2 developers think it's safer to ship 11.3 with the old
  stack by default.
* Tue Mar 30 2010 vuntz@opensuse.org
- Update to version 2.30.0:
  + Updated translations.
* Sun Mar 28 2010 vuntz@opensuse.org
- Call /etc/X11/xdm/Xstartup from /etc/gdm/PreSession/Default
  instead of from /etc/gdm/Xsession. This should fix some
  permission issue. Fix bnc#573669.
* Tue Mar  9 2010 dimstar@opensuse.org
- Update to version 2.29.92:
  + The greeter is not torn down until pam_open_session finishes
    since some PAM modules can ask questions up until this point.
  + bgo#607738: The daemon now kills the session process rather
    than the entire process group.  The corresponding gnome-session
    bug bgo#607658 is released with 2.29.92 so this works properly.
- Rebase gdm-polkit-gnome-path.patch.
* Wed Jan 27 2010 vuntz@opensuse.org
- Update to version 2.29.6:
  + Various build fixes
  + Crash fix in layout detection
  + Crash fix in session list detection
  + Remove timeout for interacting with PAM
  + Fix compile with --no-as-needed
  + Add debug message if system lacks fonts
  + Disable switch user item if user switching won't work
- Rebase gdm-selinux.patch.
* Sun Jan 17 2010 vuntz@opensuse.org
- Update gdm-sysconfig-settings.patch:
  + support DISPLAYMANAGER_XSERVER_TCP_PORT_6000_OPEN for
    security/DisallowTCP in gdm.conf
  + support DISPLAYMANAGER_REMOTE_ACCESS for xdmcp/Enable in
    gdm.conf
  + do not pretend we got a value from sysconfig if we didn't get a
    result (we were returning TRUE too easily from
    gdm_settings_system_backend_get_value()
  + make sure that, when saving the configuration, we put the right
    value if it wasn't supposed to be changed (before, we used to
    put whatever we had in memory, which was never initialized to
    the right values, so random data)
  + add a note to gdm.conf about the fact that
    /etc/sysconfig/displaymanager is used
- Remove the parts of SuSEconfig.gdm that were dealing with
  updating gdm.conf, since gdm-sysconfig-settings.patch make gdm
  poke directly in sysconfig. SuSEconfig.gdm is still needed for
  the DISPLAYMANAGER_PASSWORD_LESS_LOGIN option, though.
- Rebase gdm-domain-logon.patch, and only show the domain chooser
  if DISPLAYMANAGER_AD_INTEGRATION is set in sysconfig.
- Reenable gnome-patch-translation support, since
  gdm-domain-logon.patch is applied again.
- This means we can remove /etc/gdm/gdm_sysconfig.conf from the
  package.
- Remove sysconfig.displaymanager-gdm source: this has not been
  used for a long time.
* Sat Jan 16 2010 vuntz@opensuse.org
- Remove libglade2-devel BuildRequires.
- Also remove hal-devel BuildRequires which was added for the
  gdm-keyboard-from-hal.patch (removed now).
- Redo gdm-suse-xsession.patch in a way that won't require further
  updates when upstream files change (which is something we can
  ignore).
- Rebase gdm-greeter-greater-ui.patch.
* Thu Jan 14 2010 captain.magnus@opensuse.org
- Update to version 2.29.5:
  + XDMCP fixes on Solaris
  + run PostLogin script as user instead of gdm
  + Fix ellipses usage on User Switch Applet
  + Add ability to customize system language list
  + Solaris NULL printf fixes
  + Convert from glade to gtkbuilder
  + Detect default keyboard layout better
  + Ignore executable subfolders of xinitrc.d
  + Don't reveal valid usernames when authenticating
- Respin gdm-suse-xsession.patch
- Remove gdm-keyboard-from-hal.patch: fixed upstream another way.
- Disable gdm-greeter-greater-ui.patch: it needs to be rebased.
- Update gdm-default-wm.patch to apply without fuzz.
- Add gdm-add-missing-locale.patch. Patch taken from upstream and
  can be removed with the next version update
* Thu Dec 24 2009 vuntz@opensuse.org
- Add hal-devel BuildRequires to fix build.
* Wed Dec 23 2009 vuntz@opensuse.org
- Update to version 2.29.4:
  + Remove deprecated function g_mapped_file_free
  + Fix option widgets to work better with orca
  + Make --with-custom-conf work
  + Don't hard code path to policykit agent
  + Don't backup xkb configuration before login
- Update gdm-helper-directory.patch: some part is now fixed
  upstream, and we also need to set the right path for the
  polkit-gnome agent.
- Pass --with-polkit-gnome-directory to configure.
- Update gdm-selinux.patch to apply without fuzz.
* Thu Dec  3 2009 vuntz@opensuse.org
- Update to version 2.29.1:
  + A new desktop extension is now supported in GDM session desktop
    files (normally found in /usr/share/xsessions). Setting the
    X-GDM_BypassXsession key to true (X-GDM_BypassXsession=true)
    will cause the Xsession script to not be used to launch the
    session. This can be useful if you want to create a "failsafe"
    xterm session.
  + Fix makedist problem.
- Changes from version 2.29.0:
  + Now GDM supports Include, Exclude, and IncludeAll configuration
    options to allow the ability to configure which users are
    displayed in the FaceBrowser.
  + Now GDM supports better debugging.  Users can set the
    debug/Enable configuration option to turn on GDM debugging.
  + The directory where GDM screenshots are placed has been moved
    to its own directory: /var/run/gdm/greeter/GDM-Screenshot.png.
    The screenshot directory can now be specified at build time via
    the --with-screenshot-dir configure argument.
  + Many simple-greeter Face Browser usability improvements.
  + The simple-greeter Face Browser tree view search entry is now
    obscured to help prevent accidental display of passwords.
  + Shutdown and reboot functions are moved to a menu in the
    simple-greeter panel instead of being presented as buttons.
    The shutdown menu is better positioned on multi-monitor
    displays.
  + The simple-greeter panel notification area has been improved
    and now honors the GConf setting for
    /apps/notification_area_applet/prefs/padding.
  + The entry field in the simple-greeter now has accessibility
    labels so it will work better with accessibility programs.
  + The clock in the simple-greeter panel no longer shows the date,
    making the screen look a little cleaner. The date is moved to
    the clock tooltip so it is still available.
  + The simple-greeter now uses gethostname instead of
    g_get_host_name since it is more reliable when the hostname
    changes at runtime.
  + The user switch applet now honors disable_lock_screen.  The
    option to lock screen is now not shown if disable_lock_screen
    is set.
  + The /var/run/gdm directory is better locked down.
  + GDM no longer crashes on bad UTF-8 in the /etc/passwd file.
  + When the worker dies, the auth-failed signal is no longer sent.
    This prevents a crash that happens when switching run-levels
    when the login screen is displayed.
  + Ensure that the length of sockaddr structure is set to the
    correct length for IPv4 or IPv6. This makes GDM work better on
    some operating systems that are picky about the length being exact.
  + String and documentation improvements.
- Changes from version 2.28.1:
  + GDM will now avoid calling XAddHosts for remote connections.
    Refer to bgo#598142 for more information.
  + Now GDM uses DeviceKit-power instead of gnome-power-manager for
    Suspend support.
  + Now the at-spi-registryd-wrapper.desktop GDM autostart file
    will run at-spi-registryd directly instead of calling
    at-spi-registryd-wrapper.
  + Fix to the visibility check for the "Other" button which
    corrects some situations where the button would not appear when
    it was supposed to.
  + Now the GDM daemon will make the /var/log/gdm directory if it
    does not exist.
  + Fixes to avoid autologin failure when a NULL username is passed
    in.
  + Restore CTYPE when canonicalizing codesets.
  + Several fixes to avoid warnings.
- Change default permissions of /var/run/gdm from 755 to 751
  (upstream moved to 711).
- Rebase gdm-helper-directory.patch to apply without fuzz, and add
  a fix from upstream to really use the right at-spi-registryd
  directory.
- Rebase gdm-greeter-greater-ui.patch.
- Rebase gdm-save-panel-space-on-low-resolutions.patch, and also
  tweak it a bit because the size of the clock label has been
  reduced.
- Drop gdm-build-fixes.patch: fixed upstream.
- Drop gdm-devkit-power.patch: fixed upstream.
- Drop gdm-keyboard-from-sysconfig.patch: this is needed for
  openSUSE <= 11.1, but DeviceKit-power is now required by gdm and
  won't work on such versions of openSUSE.
* Tue Oct 20 2009 vuntz@opensuse.org
- Add gdm-look-at-runlevel.patch to work around issue where gdm
  blocks the restart/shutdown process because of a race there.
  Should fix bnc#540482.
- Version the Provides/Obsoletes to fix a rpmlint warning.
- Reorder packageand() arguments for the branding supplements to
  fix rpmlint warning.
* Fri Oct  2 2009 vuntz@opensuse.org
- Add gdm-devkit-power.patch: gdm was using a dbus API which
  doesn't exist anymore, and the right way to handle this is to use
  DeviceKit-power.
- Add DeviceKit-power-devel BuildRequires for the patch.
- Add gdm-polkit-gnome-path.patch to use the correct path for the
  polkit agent.
- Rebase gdm-greeter-greater-ui.patch. Fix bnc#533597.
* Fri Oct  2 2009 vuntz@opensuse.org
- Make sure to package /var/cache/gdm: without it, gdm doesn't use
  the configured language/layout for the user.
* Fri Oct  2 2009 vuntz@opensuse.org
- Add gdm-autologin-once.patch: we don't want to autologin again
  after a logout. Fix bnc#532090.
* Mon Sep 28 2009 vuntz@opensuse.org
- Update to version 2.28.0:
  + GDM supports the ability to specify the automatic/timed login
    user via a script via the same interface that the old GDM
    supported.
  + The user's dmrc and face image files are stored in
    /var/cache/gdm, so that the login process does not need to
    access the user's $HOME directory before authentication. Refer
    to bgo#565151.
  + Fix the login GUI options widget so the language/session/layout
    choices are not reset after a failed login.
  + Fix language dialog so it does not crash if the user click's
    the "OK" button when no language is selected.
  + Fix to ensure that the login dialog regains focus after the
    language or layout dialogs are used.
  + The language dialog has improved logic to sort the language
    names more correctly.
  + Make sure to check error variable is not NULL before
    referencing it in the gdm-user-manager code.
  + Make sure to not print NULL strings since this causes crashes
    on some platforms.
  + Improve documentation.
- Add gdm-build-fixes.patch to fix build.
* Mon Sep 28 2009 vuntz@opensuse.org
- Add gdm-xauthlocalhostname.patch: fix non-working user session
  when the hostname changes during login. Fix shipstopper
  bnc#538064.
- Add gdm-default-wm.patch: gdm now reads the DEFAULT_WM setting in
  /etc/sysconfig/windowmanager to know which session to use by
  default instead of always using GNOME.
  This should fix using GDM for XFCE.
* Tue Aug 25 2009 vuntz@novell.com
- Update to version 2.27.90:
  + Autostart polkit-gnome authentication agent.
  + Add screen capture sound effect to screenshot tool.
  + If HOST_NAME_MAX is not available, try _POSIX_HOST_NAME_MAX,
    then default to 256.
  + Add users "nobody4" and "noaccess" to the list of users to
    filter from the Face Browser.
  + Add Solaris logindevperm support.
  + Fix mispelling of XDMCP.
  + Improve documentation.
- Add libcanberra-devel BuildRequires.
* Thu Aug  6 2009 vuntz@novell.com
- Remove old cleanup instructions for /var/lib/gdm/*.log* in pre.
- Do not try to grep /sbin/conf.d/SuSEconfig.gdm in pre, if the
  file doesn't exist. Fix bnc#508511.
* Fri Jul 31 2009 vuntz@novell.com
- Correctly comment out patch that needs rebasing.
* Mon Jul 20 2009 dominique-obs@leuenberger.net
- Update to version 2.27.4:
  + Favor XFree86 Xinerama over Solaris Xinerama on Solaris
  + Make greeter a well behaved session client
  + XDMCP fixes
  + Fix up btmp record handling
  + Handle locales with modifiers better
  + Use better logic with keyboard layout handling
  + Change example PAM file/documentation to demonstrate
    password-less login
  + Handle usernames from non-utf8 locales
  + Allow dbus introspection for gdm services
  + Show more details authentication error messages in UI
  + Allow uppercase and lowercase booleans in config file
  + Be more consistent with booleans in schemas
  + Use g_timeout_add_seconds to reduce wakeups
  + Make greeter window more clear when user list is disabled
  + Put greeter login window in same ctrl-alt-tab menu as panel
  + Port greeter to PolicyKit 1.0
  + Shave off 1/2 second delay when bringing up greeter
  + OS X portability fixes
  + Look for locales in /usr/lib/locale instead of /usr/share/locale
  + Better handling when two users have the same name
- Drop upstreamed patches:
  + gdm-session-worker-check-states.patch
  + gdm-fix-locale-listing.patch
  + gdm-dbus-allow-introspection.patch
  + gdm-keyboard-invalid-user-data.patch
  + gdm-proper-session-handling.patch
  + gdm-accreditation-failed-log.patch
  + gdm-hide-lonely-other.patch
- Rebased patches:
  + gdm-suse-xsession.patch
  + gdm-keyboard-from-hal.patch
- Disables patches (need rebasing)
  + gdm-domain-logon.patch
- Clean %%%%files section from duplicates
- Drop dependency to PolicyKit-devel
* Mon Jun 15 2009 vuntz@novell.com
- Update gdm-keyboard-invalid-user-data.patch to the patch that was
  committed to git (fix a bug where layouts with variant were
  considered invalid).
* Sun Jun 14 2009 vuntz@novell.com
- Add gdm-proper-session-handling.patch to fix bnc#506040:
  correctly handle the end of session, to not show an error dialog.
* Tue Jun  9 2009 vuntz@novell.com
- Update gdm-keyboard-from-sysconfig.patch: we correctly interpret
  the keyboard layout specified in sysconfig thanks to a map file
  from sax that we use to convert the layout name to a X layout.
- Add gdm-keyboard-invalid-user-data.patch: the old gdm was not
  setting a valid keyboard layout in some cases, and this invalid
  layout ended up in ~/.dmrc. This patch makes gdm detect this and
  revert the user data to the default layout.
* Fri May 15 2009 vuntz@novell.com
- Add gdm-keyboard-from-hal.patch to read the default keyboard
  layout from hal on 11.2, should fix bnc#478083 and bnc#492284.
- Split the keyboard part of gdm-sysconfig-settings.patch in
  gdm-keyboard-from-sysconfig.patch, and only applit on 11.1 and
  earlier. Also update the patch to strip some console keymaps part
  of the layout that won't work in X (eg, fr-latin1 -> fr).
- Based on work from claes.backstrom@fsfe.org and hpj@novell.com.
* Tue May 12 2009 vuntz@novell.com
- Drop gdm-X_SERVER.patch: it's not needed anymore since
  /usr/bin/Xorg is the only supported X now.
- Add gdm-helper-directory.patch to replace
  gdm-2.23.92-gsd-path.patch and
  gdm-consolekit-helper-subdir.patch: this new patch should be
  suitable for upstream inclusion. Pass
  - -with-gnome-settings-daemon-directory and
  - -with-consolekit-directory to configure.
- Tag gdm-2.21.9-no-fatal-warnings.patch,
  gdm-vt-allocation-hack.patch, gdm-domain-logon.patch,
  gdm-selinux.patch.
* Mon Apr 20 2009 vuntz@novell.com
- Update to version 2.26.1:
  + Use O_APPEND when opening log files
  + Don't depend on gnome-power-manager registering with session
    manager - Give greeter and slave access to the display even
    after the hostname changes
  + Give greeter and slave access to display independent of
    hostname
  + Clean up stale auth temporary directories
  + Fix double free crasher in user switcher applet
  + Load saved settings after user types username into Other box
  + Pass environment to PAM worker processes so messages are
    localized
  + Fix up auditing for Solaris auditor
- Drop gdm-xauthlocalhostname.patch: fixed another way upstream.
- Drop gdm-propagate-env-to-jobs.patch: fixed upstream.
* Fri Mar 27 2009 vuntz@novell.com
- Use pwdutils for PreReq instead of directly listing the programs.
* Mon Mar 16 2009 mboman@suse.de
- Update to version 2.26.0:
  + Make xdmcp/PingIntervalSeconds config option work
* Mon Mar 16 2009 sbrabec@suse.cz
- Added support for translation-update-upstream (FATE#301344).
* Sat Mar 14 2009 mboman@suse.de
- Update to version 2.25.92:
  + Hide presence features in user switcher applet
  + Make autologin happen more than once after bootup
  + Better panel placement and login screen sizing in
    multihead set ups
  + Fix XDMCP and add more XDMCP configurability
  + Rework dbus security files to be more correct
  + Various other fixes
- Remove gdm-login-window-size.patch. Fixed upstream
- Remove gdm-bnc468374-dbus-send-dest.patch. Fixed upstream
- Update gdm-save-panel-space-on-low-resolutions.patch
- Update gdm-suse-xsession.patch
- Remove BuildRequires gnome-common, scrollkeeper
- Remove custom CFLAGS
* Thu Mar  5 2009 vuntz@novell.com
- Add gdm-gconf-path.patch: the system-wide changes done in gconf
  are not in gconf.xml.system, but gconf.xml.defaults.
* Mon Feb 23 2009 vuntz@novell.com
- Update gdm-domain-logon.patch: add new files in POTFILES.in.
  Thanks to Stanislav Brabec for spotting this!
* Thu Feb 19 2009 vuntz@novell.com
- Add gdm-dbus-allow-introspection.patch to allow dbus
  introspection for the services. Patch by Timo Hoenig. Fix
  bnc#473880.
- Use gnome-patch-translation for strings in
  gdm-domain-logon.patch. Fix bnc#440860.
* Sat Jan 31 2009 vuntz@novell.com
- Add gdm-fix-locale-listing.patch: correctly list all locales so
  that they appear in the language chooser. Fix bnc#446446.
* Sat Jan 31 2009 vuntz@novell.com
- Add gdm-propagate-env-to-jobs.patch: forward the environment to
  gdm-session-worker to have translated PAM messages. Fix
  bnc#440860.
* Sat Jan 31 2009 vuntz@novell.com
- Drop unneeded BuildRequires: docbook_4
- Remove check for old versions of openSUSE
- Don't pass non-existing --enable-secureremote flag to configure
* Fri Jan 30 2009 vuntz@novell.com
- Add gdm-session-worker-check-states.patch to fix bnc#470714. We
  were handling late a setup signal, while we were already doing
  something else.
* Fri Jan 30 2009 vuntz@novell.com
- Add gdm-accreditation-failed-log.patch to improve logging in the
  case of accreditation failure.
* Wed Jan 28 2009 vuntz@novell.com
- Add gdm-login-window-size.patch to fix the login window size: the
  width could be too small in various cases (eg, some pam
  messages). Also needed for gdm-hide-lonely-other.patch.
- Add gdm-hide-lonely-other.patch to hide the Other item in the
  user list in relevant cases, especially when we disable the user
  list. Fix bnc#439894.
* Tue Jan 27 2009 vuntz@novell.com
- Manual merge with GNOME:Factory:Next.
- Drop gdm-fix-xdmcp.patch: fixed another way upstream.
- Add gdm-bnc468374-dbus-send-dest.patch to add send_destination in
  the dbus policy. Fix bnc#468374.
* Fri Jan 23 2009 mxwu@novell.com
- Add gdm-selecting-desktop-environment.patch to select right
  desktop environment (bnc#460691)
* Mon Jan 12 2009 mauro@suse.de 
- Translations update.
* Mon Dec 29 2008 mboman@suse.de
- Update to version 2.25.2:
  + Fix focus issues in applet
  + Use text view instead of entry
  + Add support for a real automatic login
  + Redesign user switch applet
  + Make XDMCP work again
  + Add a bevel around the dialog
  + Remove capslock warning label
- Remove gdm-2.23.92-another-locale-fixup.patch. Fixed upstream
- Remove gdm-2.23.92-filter-dupes-from-lang-list.patch. Fixed upstream
- Remove gdm-2.23.92-fix-crash.patch. Fixed upstream.
- Remove gdm-fix-icon-scale.patch. Fixed upstream
- Remove gdm-autologin.patch. Fixed upstream
- Remove gdm-fix-pam-auditing.patch. Fixed upstream
- Comment out gdm-greeter-greater-ui.patch. Patch does not apply
  due to massive changes in glade file. Needs to be redone completly.
* Fri Dec  5 2008 hpj@novell.com
- Update gdm-domain-logon.patch to omit undesirable domains
  (bnc#450143).
* Wed Dec  3 2008 hpj@novell.com
- Replace gdm-2.21.5-vt7-temporary-hack.patch with
  gdm-vt-allocation-hack.patch. The new patch doesn't hardcode gdm
  to VT7, but instead scans for a free VT starting with VT7
  (bnc#434598).
* Mon Dec  1 2008 hpj@novell.com
- Update gdm-sysconfig-settings.patch to translate the name of the
  configured system keymap into something libxklavier can
  understand (bnc#446958).
* Mon Dec  1 2008 hpj@novell.com
- Update gdm-domain-logon.patch to make domain prefix logon work
  when entering user names manually (bnc#450146).
* Sun Nov 30 2008 hpj@novell.com
- Add gdm-save-panel-space-on-low-resolutions.patch (bnc#449815).
* Fri Nov 21 2008 hpj@novell.com
- Add gdm-always-reflect-keyboard-layout.patch (bnc#438159).
* Thu Nov 20 2008 hpj@novell.com
- Add gdm-fix-xdmcp.patch, which makes XDMCP work (bnc#441396).
- Add gdm-fix-pam-auditing.patch, which makes PAM auditing work
  as expected on logout (bnc#436852).
* Wed Nov 12 2008 hpj@novell.com
- Update gdm-sysconfig-settings.patch, removing debug spew.
* Wed Nov 12 2008 vuntz@novell.com
- Add gdm-greeter-greater-ui.patch to improve the layout of the
  greeter. End of bnc#436431.
* Tue Nov 11 2008 hpj@novell.com
- Update gdm-sysconfig-settings.patch, fixing bnc#440863.
* Sun Nov  9 2008 jpr@novell.com
- Add gdm-autologin.patch so the greeter is not created for
  autologin and improve startup time (bnc#436524)
- Update gdm-domain-login.patch so the domain box is present
  even if the user list is not (bnc#431339)
* Fri Nov  7 2008 vuntz@novell.com
- Merge hpj's submission: Add gdm-sysconfig-settings.patch, which
  fixes bnc#432360.
* Thu Nov  6 2008 vuntz@novell.com
- Add gdm-fix-icon-scale.patch: make icons in the greeter use a
  reasonable size. Part of bnc#436431.
* Tue Nov  4 2008 jpr@novell.com
- Add requires for ConsoleKit-x11, gnome-session
  (bnc#441105, bnc#428294)
- Add recommends for gnome-settings-daemon, its very useful to have
* Mon Nov  3 2008 jpr@novell.com
- Add iso-codes-devel to the build requires so the languages can
  be found (bnc #435157)
- Add gdm-2.23.92-filter-dupes-from-lang-list.patch to prevent
  listing languages more that once in the selector
- Add gdm-2.23.92-fix-crash.patch to prevent crash when selecting
  drop down items like language
- Add gdm-2.23.92-another-locale-fixup.patch to use canonical system
  locale info
- Refresh gdm-suse-xsession.patch to have a shell to run with and
  don't call anything else after our the xorg Xsession runs.
* Sun Nov  2 2008 hpj@novell.com
- Update gdm-domain-logon.patch again, fixing bnc#439892.
* Thu Oct 16 2008 hpj@novell.com
- Update gdm-domain-logon.patch, removing some dead code and a
  signal callback that is no longer being used.
* Thu Oct  9 2008 hpj@novell.com
- Replace gdm-2.23.92-host-wild.patch with
  gdm-xauthlocalhostname.patch. The new patch sets the
  XAUTHLOCALHOSTNAME env var instead of setting the cookie's
  family to FamilyWild.
* Mon Oct  6 2008 sbrabec@suse.cz
- Conflict with other branding providers (FATE#304881).
* Fri Oct  3 2008 mboman@suse.de
- Update to version 2.24.0:
  + Allow the build to succeed without a gdm user
  + Use Bourne shell syntax in Xsession.solaris
  + Set ownership of .gconf.mandatory
  + Translation updates
* Fri Sep 26 2008 hpj@novell.com
- Add gdm-domain-logon.patch, which implements an Active Directory
  domain logon selector using wbinfo.
* Sat Sep 20 2008 vuntz@novell.com
- Add gdm-suse-xsession.patch, which is similar to the
  gdm-xdm-sessions.patch we have with GDM <= 2.20: it makes GDM
  use the openSUSE scripts in /etc/X11/xdm, for proper integration.
- Add gdm-desktop-session-env-pam.patch, that sets the
  DESKTOP_SESSION environment variable for pam. The goal is to let
  the gnome-keyring pam module know when GNOME will be used, so
  that it knows if it should start gnome-keyring.
- This is part of bnc#427744.
* Fri Sep 12 2008 jpr@novell.com
- Move gdm-2.23.92-set-xauthlocalhostname-when-local.patch to
  gdm-2.23.92-host-wild.patch to really fix race (bnc #420057)
- Update gdm-consolekit-helper-subdir.patch, it was using gdm's
  LIBEXECDIR, not ConsoleKit's
- Use correct at-spi dir config option
* Thu Sep 11 2008 jpr@novell.com
- Update to version 2.23.92:
  * Fix selection handling in language and layout choosers
  * Fixed bgo#545337, grey screen on login
  * Start g-s-d correctly
  * Add missing WM desktop file
  * Add docs
  * Make set-show-user* into construct properties
  * Revert the larger greeter font size
  * Add slave log file
  * Fix up some log rotation problems
  * Translations
- Set permissions on gconf files in /var/lib/gdm so gdm user can
  read them
- Point to the correct location for gnome-settings-daemon when
  starting the greeter session with gdm-2.23.92-gsd-path.path
- Use the suse standard libexecdir
- Remove gdm-libwrap.patch, the issue was solved upstream
- Remove resmgr from pam files (bnc#422615)
- Obsolete fast-user-switch-applet, the applet was merged into gdm
- Add gdm-2.23.92-set-xauthlocalhostname-when-local.patch to fix
  race when host name changes at start up (bnc #420057)
* Fri Aug 22 2008 prusnak@suse.cz
- enabled SELinux support [Fate#303662]
* Wed Aug 20 2008 sbrabec@suse.cz
- Updated to version 2.23.2:
  * Requires ConsoleKit 0.3.0
  * Keyboard layout selection from greeter
  * Save backup of ~/.xsession-errors
  * Add a GConf key for not showing the user list
  * Now support PostLogin, PreSession, and PostSession hooks
  * Add DisallowTCP back
  * Support PAM_XDISPLAY and PAM_XAUTHDATA
  * Add lang tags, to help Pango pick the right font
  * Set the initial user selection correctly
  * Add frame around user icons and make them larger
  * Write gdm screenshot output to /var/run/gdm instead of /tmp
  * Save one old copy of greeter log file
  * Set a minimum width for the login window
  * Fix check for /etc/gdm/Init/Default so it will actually be
    executed
  * Wait for ready from backend when cancelling from greeter
  * Use per session directories in /var/run/gdm for xauth databases
  * Move ConsoleKit registration into the worker
* Fri Aug 15 2008 maw@suse.de
- Fix the build on biarch platforms by listing files that end
  up in /usr/lib64 correctly
- Remove the empty %%post section
- Mark several files as config files.
* Sat Aug  2 2008 hpj@suse.de
- Major upgrade to GDM 2.22.0, which is pretty much a complete rewrite upstream:
  + Added gdm-consolekit-helper-subdir.patch, which lets GDM find ConsoleKit's
    helper executable in the subdir where it's installed.
  + Added gdm-2.21.9-no-fatal-warnings.patch, which prevents GDM from crashing
    on non-fatal errors.
  + Added gdm-greeter-file-system-type-can-be-null.patch, which prevents a
    crash.
  + Added gdm-2.21.5-vt7-temporary-hack.patch, which makes GDM default to VT7
    when the initial VT is not specified. Prevents a keyboard lockup on startup.
  + Dropped patches:
    gdm-conf.patch,                    gdm-language-dialog-size.patch,
    gdm-xdm-sessions.patch,            gdm-presession-kde-path.patch,
    gdm-gdmsetup-rootonly.patch,       gdm-2.8.0.0-any-hostname-auth.patch,
    gdm-2.8.0.0-list-users.patch,      gdm-2.8.0.0-setup-no-flicker.patch,
    gdm-2.8.0.7-bg-4.patch,            gdm-2.8.0.7-domain-entry.patch,
    gdm-2.8.0.7-halt-needs-root.patch, gdm-2.8.0.7-onlyshow-in-gnome.patch,
    gdm-server-timeout.patch,          gdm-2.8.0.7-some-info-in-dialog.patch,
    gdm-gdmsetup.patch,                gdm-conf-custom-sysconfig.patch,
    gdm-2.19.3-reset-pam.patch,        gdm-2.19.3-dbus-security-tokens.patch,
    gdm-2.19.3-token-login.patch,      gdm-2.19.3-token-login2.patch,
    gdm-XKeepsCrashing-SaX2.patch,     gdm-XKeepsCrashing-desktop-effects.patch,
    gdm-language-hang.patch,           gdm-2.20.0-wait-for-restart.patch,
    gdm-bnc343858-buggy-intel-xinerama.patch.
* Thu May 15 2008 vuntz@suse.de
- Update gdm-xdm-sessions.patch to run /etc/X11/xdm/Xstartup. Part
  of bnc#368673.
* Wed Apr 16 2008 sbrabec@suse.cz
- Split package according to branding conventions (fate#301792).
- Removed branding related changes from gdm-conf.patch.
* Fri Apr  4 2008 dreveman@suse.de
- Add gdm-XKeepsCrashing-desktop-effects.patch. (bnc #359460).
* Wed Mar 19 2008 vuntz@suse.de
- Add gdm-bnc343858-buggy-intel-xinerama.patch to use gdk instead
  of direct xinerama functions. This will fix bnc343858 once we get
  the gtk+ patch in.
- Update gdm-gdmsetup-rootonly.patch
- Remove gdm-language-save.patch, abuild.patch and
  gdm-tab-triggers-enter.patch, fixed upstream.
- Update to version 2.20.4:
  + The Custom Widgetry code in gdmgreeter was broken, and would
    not create the /var/lib/$DISPLAY.GreeterInfo file properly
  + Now the default local and remote welcome strings ("Welcome" and
    "Welcome to %%n") are translated.
  + If the user picks the default local welcome string to be used
    as the remote welcome string, or vice versa, then the strings
    will be translated also.
  + Get default locale from LC_MESSAGES rather than from
    g_get_language_names.
  + Honor GTK+ default password character.
  + Provide better tooltip for entry field in gdmgreeter.
  + Get the environment variable XDG_DATA_DIRS before clearing the
    environment variables.
  + Fix gdmsetup bug that was causing the Welcome (local and
    remote) message to not be saved properly when changed.
  + Fix the setting of the custom command NOTIFY key to avoid
    crashing when changing the label values of a custom command in
    gdmsetup.
  + Fix compiler issues.
  + Translation updates.
- Changes from version 2.20.3:
  + Now "Esc" key acts like the "Start Again" button in the greeter
    program.
  + Fix regression in GDM 2.20 that caused the daemon to not read
    any [server-foo] sections that were not referenced in the
    [servers] section of the configuration file.
  + Fix regression in GDM 2.20 that caused HaltCommand,
    SuspendCommand, and RebootCommand to not get updated properly
    when modified from gdmsetup.
  + Allow the gdmflexiserver --command option to be run with
    setuid/setgid without problems
  + Fix counting of open XDMCP sessions.
  + Fix Suspend configuration option so it works.
  + Fix so that XDMCP Willing configuration option works.
  + Fix compiler warnings.
  + Fix gdmsetup so it does not crash if it cannot read any
    displays from the configuration file.
  + Translation updates.
- Changes from version 2.20.2:
  + Fix bugs that were causing XDMCP to not work properly.
  + Fix so that XDMCP configuration options are read from the
    configuration file.
  + Fix bug with gdmXnestchooser where it wasn't starting Xephyr
    with the correct arguments.
  + Fix so that GDM allows setting of LC_TYPE without setting LANG.
  + Icon improvements.
  + Fix leaks.
  + Translation updates.
- Changes from version 2.20.1:
  + gdmlogin and gdmgreeter treat Tab like enter if the focus
    is on the entry field.
  + Fix saving of user's default language/session if $HOME/.dmrc
    doesn't exist.
  + Fix bug with XDMCP logic.
  + Fix an issue that was causing the username to be logged as a
    debug message when using GDM configured to use crypt or shadow
    passwords.
  + Set stdout/stderr to DEV_NULL when spawning at_spi_registryd
    and the prefetch program, fixing a hanging problem.
  + GDM now always sends the daemon a response before exit to avoid
    a hang.
  + Fix gdmXnestchooser and gdmsetup so debug isn't on by default.
  + Updated the gdmgreeter themes to correctlt work on 800x600
    displays.
  + Build/configure fixes for Solaris.
  + Translation updates.
* Wed Nov 14 2007 hpj@suse.de
- Removed second --with-atspi-dir from configure.
- Added gdm-tab-triggers-enter.patch, which fixes Novell bug
  [#334446].
* Tue Nov 13 2007 rodrigo@suse.de
- Added --with-atspi-dir to configure to get accessible login
  (#337428)
- Updated gdm-xdm-sessions.patch to run again the /etc/X11/xdm
  scripts (#304399)
* Fri Nov  9 2007 hpj@suse.de
- Pass the --with-atspi-dir= flag to configure so the
  at-spi-registryd is started correctly. Fixes Novell bug #337428.
* Thu Oct 18 2007 maw@suse.de
- Install dbus-gdm.conf to /etc/dbus-1/system.d (#331725)
- Add abuild.patch.
* Thu Oct 11 2007 sbrabec@suse.cz
- Removed bogus dependency on mDNSResponder.
* Mon Sep 24 2007 hpj@suse.de
- Added gdm-2.20.0-wait-for-restart.patch, which fixes Novell bug
  [#326281].
* Thu Sep 20 2007 banderso@suse.de
- added gdm-language-save.patch.  Patch fixes a problem where the
  .dmrc file was not getting created in the process of saving the
  default selected language.
  Novell bug #309066
* Tue Sep 18 2007 hpj@suse.de
- Updated gdm-2.8.0.0-any-hostname-auth.patch to use localhost
  instead of localhost.localdomain for xauth tokens. Related to
  Novell bug #304632.
* Tue Sep 18 2007 sbrabec@suse.cz
- Updated to version 2.20.0:
  * Now support --with-atspi-dir so you can specify a non-default
    directory where the at-spi-registryd daemon exists.
  * Improve keymouselistener a11y gesture listener so it does not
    fail on Ubuntu, and does a better job freeing memory.  Fix
    dwellmouselistener a11y gesture listener so it doesn't generate
    warnings.
  * Fix bug in IPv6 logic.
  * Fix Macedonian language so the language choice also appears in
    the local language
  * Fix bug where GDM was not properly executing a custom Xserver
    start script.
  * Fix bug with ConsoleKit that occurs when the session is going
    to migrate.  Previous code was failing to send the notification
    when the greeter is not TYPE_FLEXI.
  * Set invisible character to '*' for gdmgreeter.
  * When using gdm_verify_standalone_pam_conv (used by automatic
    login) set echo to FALSE when PAM_PROMPT_ECHO_OFF is handled.
  * Make it possible to configure system dependant options by
    setting environment variables before running configure.  Also
    support /usr/X11/bin/Xorg when setting X_PATH, etc.
  * Translation updates
* Mon Sep 17 2007 banderso@suse.de
- added patch gdm-language-hang.patch to fix Novell bugs #308378 and
  [#309064].  The patch matches changes that were made to upstream code.
* Fri Sep 14 2007 sreeves@suse.de
- Fix for Bug #308471 - gdm intentionally changed to storing the .desktop
  files under /usr/share/gdm which the suse_update_desktop_file script
  does not seem to fully support. It find the file, processes it, but
  does not write it out.
* Fri Sep 14 2007 hpj@suse.de
- Update gdm-2.8.0.7-halt-needs-root.patch to fix Novell bug
  [#306418].
* Thu Sep 13 2007 stbinner@suse.de
- '%%suse_update_desktop_file -G "" foo' doesn't seem to work anymore
* Wed Sep 12 2007 jberkman@novell.com
- correctly add localhost xauth for "remote" connections on little
  endian machines (bnc #296699)
* Wed Sep  5 2007 sbrabec@suse.cz
- Search for SaX2 in XKeepsCrashing.
* Wed Sep  5 2007 sbrabec@suse.cz
- Apply DISPLAYMANAGER_PASSWORD_LESS_LOGIN only for standard login,
  not for autologin (#307566).
* Mon Sep  3 2007 hpj@suse.de
- Add gdm-2.19.7-pam-hide-password.patch, which fixes an upstream
  bug where the user's password was being shown on screen (part of
  BNC #302282).
* Thu Aug 30 2007 maw@suse.de
- Update to version 2.19.7:
  + from 2.19.5 to 2.19.6:
- Fix gdmflexiserver so when used to start a "Nested Display" (a login
  in a window), it does not pop-up the window showing the user what
  VT's are already logged in.  That window should only show up when
  starting Flexi (VT) displays, not Nested displays.  (Brian Cameron)
- Remove XInput code from the dwellmouselistener accessibility module.
  Bug #457998 reported that this code was not working and causing
  devices to fail. (Ray Strode)
- Fix bug #461822 which caused entries in the [servers] section of the
  configuration to get ignored if more than one referenced the same
  [server-foo] server.  This was working in 2.18 but got broken during
  the cleanup.  (Brian Cameron)
- Fix gdm_fail function so that it cleans up and exits, so now GDM
  will better handle critical failures.  This was working in 2.18
  but got broken during the cleanup.  (Brian Cameron)
- Now gdmsetup sets "Use 24 Hour Clock" to "yes" when this is its
  value.  (Sebastien Bacher)
- Fixes for utmpx processing so it now works with utmp and also on
  FreeBSD.  (Brian Cameron, Joe Marcus Clarke)
- Fix IPv6 check when starting VT so that if IPv6 reports that the
  network is not reachable, it falls back to IPv4.  (Brian Cameron)
- Fix string translation issues.  (Lukasz Zalewski)
- From 2.19.6 to 2.19.7:
- Disable autocompletion in the face browser since it wasn't
  working properly.  (Ray Strode)
- Many corrections to the theme xml files  (Dave Fincher and Brian
  Cameron)
- Fix compile when using a compiler that doesn't like #ifdefs
  in macro calls.  (Jens Granseuer)
- The greeter.dtd file has been updated.  Now the default GDM themes
  validate with this dtd.  (Dave Fincher)
- Plus translation updates for a plethora of locales.
* Fri Aug 17 2007 hpj@suse.de
- Fixed missing configuration variable definition in
  gdm-2.8.0.7-domain-entry.patch.
* Fri Aug 10 2007 sbrabec@suse.cz
- Patches are enabled again, re-enabled gnome-patch-translation.
* Thu Aug  9 2007 sbrabec@suse.cz
- Re-added DISPLAYMANAGER_PASSWORD_LESS_LOGIN to SuSEconfig.gdm
  (#279426).
- Allow password less login for both autologin and standard login.
* Tue Aug  7 2007 jpr@suse.de
- Split off a -lang subpackag
- Fix variable expansion in gdm-conf.patch (#255685)
- Remove earlygdm, replaced by earlyxdm (#285813)
* Sat Aug  4 2007 maw@suse.de
- Use %%fdupes
- Uncomment out the rm in %%clean.
* Sat Aug  4 2007 hpj@suse.de
- Update to version 2.19.5.
- Fix up gdm-conf.patch.
- Fix up gdm-2.19.3-reset-pam.patch.
- Fix up gdm-2.19.3-token-login.patch.
- Fix up and enable gdm-language-dialog-size.patch.
- Fix up and enable gdm-2.8.0.7-bg-4.patch.
- Fix up and enable gdm-2.8.0.7-domain-entry.patch.
- Fix up and enable gdm-2.8.0.7-halt-needs-root.patch.
- Fix up and enable gdm-server-timeout.patch.
- Fix up and enable gdm-2.8.0.7-some-info-in-dialog.patch.
- Fix up and enable gdm-2.17.7-vt-fallback.patch.
- Fix up and enable gdm-2.8.0.0-any-hostname-auth.patch.
- Remove gdm-2.19.3.diff (upstreamed).
- Remove gdm-2.13.0.4-audit-login.patch (upstreamed).
- Remove gdm-logdir.patch (fixed upstream).
- Remove gdm-bash-profile.patch (obsolete).
* Mon Jul 30 2007 jberkman@novell.com
- use smartcard pam stack when cards are inserted
* Wed Jul 25 2007 jpr@suse.de
- Re-enable gdm-xdm-sessions.patch (#294498)
* Tue Jul 24 2007 jpr@suse.de
- Add xorg-x11-server-extras for Xnest/Xephyr so that the defaults
  are set correctly (not an installation dep)
* Thu Jul 19 2007 maw@suse.de
- Reenable gdm-conf.patch (#292837).
* Tue Jul 17 2007 coolo@suse.de
- fix pointer arithmetic
* Mon Jul 16 2007 mauro@suse.de
- Update to version 2.19.3
- Clean up of the not applicable patches.
- Bugfixes for #448547, #448548, #443557.
* Sat May 26 2007 jpr@suse.de
- Require xorg-x11-server-extra for Xnest
* Tue May 15 2007 pgajdos@suse.cz
- removed BuildRequires: gnome-icon-theme [#247450]
* Fri Apr 27 2007 sbrabec@suse.cz
- Do not call meinproc (#227624).
* Wed Apr 11 2007 maw@suse.de
- Update to version 2.18.1
- The GDM configuration option daemon/PidFile is now deprecated and
  GDM now always uses /var/run/gdm.pid.  The location can be configured
  at compile time with the configure --with-pid-file option.  This
  fixes bug #162849.  (William Jon McCann)
- Now GDM supports Xephyr as the Nested Xserver command.  GDM will use
  Xephyr by default if it is on the system, and fallback to Xnest.
  Xephyr works much better than Xnest.  (Brian Cameron)
- GDM application desktop files now use the correct categories, so the
  menu choices should appear in the correct place in the menu.  (Brian
  Cameron)
- Remove the userlist from the circles and happygnome themes since this
  was causing problems for some users.  This change will go into 2.20
  where we are fixing the problem better by fixing gdmsetup to support
  setting the configuration so that gdmlogin and gdmgreeter work the
  same way with the Browser key.
- Now gdmgreeter has an ATK label for the entry field.  (David Zeuthen)
- Fix check so language combo style works.  Fixes bug #423063.  (Simon)
- Now "Configure GDM" menu choice is not available when accessibility is
  turned on since running gdmsetup in this configuration causes GDM to
  hang.  Until the hanging bug is fixed, it's better to not allow the
  user to get into this situation.  (Brian Cameron)
- Now support XnestUnscaledFontPath configuration option, which allows
  GDM to work with Xnest.  Xorg 7.2 XGetFontPath function now returns
  fontpath with the ":unscaled" prefix, which Xsun Xnest cannot handle.
  Setting XnestUnscaledFontPath=false, will strip the ":unscaled" prefix
  from the fontpath so that it can work.  (Brian Cameron)
- GDM daemon no longer links with D-Bus if ConsoleKit is not enabled.
  (William Jon McCann)
- Translation updates (Takeshi AIHANA, Jakub Friedl, Leonardo Ferreira
  Fontenelle, Pema Geyleg, Priit Laes, Kjartan Maraas, Inaki Larranaga
  Murgoitio, Kostas Papadimas, Ignacio Casal Quinteiro, Hendrik Richter,
  Changwoo Ryu, Claudio Saavedra)
* Fri Mar 30 2007 maw@suse.de
- Update to version 2.18.0
- b.g.o 415513, 417350, 415181, 409801, 409693, 406226, and 407687.
* Fri Mar 30 2007 aj@suse.de
- Add pwdutils to BuildRequires.
* Thu Mar 22 2007 hpj@suse.de
- Add gdm-2.17.7-vt-fallback.patch. This is a port of the fix for
  https://bugzilla.novell.com/show_bug.cgi?id=206804
* Wed Mar 14 2007 maw@suse.de
- Update to version 2.17.7
- Removeupstreamed  gdm-autobuild-warning.patch,
  gdm-bufferoverrun.patch
- Bug fixes, including bugzilla.gnome.org #335786, #400793,
  [#400698], #399486, #352263, #395790, #394421.
* Fri Mar  2 2007 sbrabec@suse.cz
- Do not own /usr/share/xsessions (#229172).
* Tue Feb 27 2007 hpj@suse.de
- Added gdm-2.13.0.4-audit-login.patch, which fixes Novell bug
  [#234133] (GDM cannot log authentication attempts).
* Wed Feb 14 2007 hpj@suse.de
- Add gdm-trunk-string-literal-cmp.patch. Fixes #233655.
* Mon Feb 12 2007 sbrabec@suse.cz
- Fixed reversed interpretation of
  DISPLAYMANAGER_XSERVER_TCP_PORT_6000_OPEN (221350#c11).
* Fri Feb  9 2007 crivera@suse.de
- Add PreReq for insserv and ensure that we always enable
  earlygdm in the post-install script.  This fixes 192998.
* Wed Jan 31 2007 sbrabec@suse.cz
- Fixed PreReq for /etc/init.d/xdm in older products.
* Tue Jan 23 2007 sbrabec@suse.cz
- Update /etc/init.d/xdm on older products.
* Thu Jan  4 2007 sbrabec@suse.cz
- All references to /opt/gnome moved to /usr.
- Spec file cleanup.
* Thu Jan  4 2007 maw@suse.de
- Move to /usr.
* Thu Dec 28 2006 jhargadon@suse.de
- added klogd to Requires (#214295)
* Tue Dec 12 2006 sbrabec@suse.cz
- Fixed SuSEconfig typo in XDMCP Enable (#221350).
* Mon Dec 11 2006 maw@suse.de
- Add gdm-bufferoverrun.patch, fixing a format string exploit
  (#226360).
* Thu Nov 30 2006 jhargadon@suse.de
- removed unneeded files from the package (#223687)
* Tue Nov 21 2006 jpr@suse.de
- Fix missing comment in config file (rest of #221383)
* Fri Nov 17 2006 jpr@suse.de
- Fix where last_domain is saved (#221543)
* Thu Nov 16 2006 danw@suse.de
- Remove the ssh session, which has never worked correctly on SUSE.
  [#220731]
* Wed Nov  8 2006 hpj@suse.de
- Update and re-enable gdm-bash-profile.patch.
- Update and re-enable gdm-2.8.0.0-setup-no-flicker.patch.
- Drop gdm-2.8.0.0-timed-login-enact.patch (similar fix upstream).
- Update and re-enable gdm-2.8.0.7-domain-entry.patch.
- Update and re-enable gdm-2.8.0.7-hald-needs-root.patch.
- Drop gdm-2.8.0.7-user-must-own-iceauthority (upstream).
- Update gdm-autobuild-warning.patch (conflict with previous patch).
* Tue Oct 31 2006 sbrabec@suse.cz
- Rewritten SuSEconfig.gdm to work better with new custom.conf
  (#213037).
* Fri Oct 27 2006 jhargadon@suse.de
- changed TryExec to be the same as Exec in gdmsetup.desktop to
  resolve bug #210943
* Mon Oct 23 2006 jhargadon@suse.de
- mkdir /var/log/gdm (#213737)
* Thu Oct 12 2006 danw@suse.de
- Remove some dead patches. Rename a few for consistency
- Update and re-enable gdm-server-timeout.patch
- Update and re-enable gdm-logdir.patch (#211223)
- Add gdm-X_SERVER.patch to fix Xorg/Xgl switching
* Tue Oct  3 2006 jhargadon@suse.de
- update to version 2.16.1
- Use g_markup_printf_escaped so gdmsetup better handles
  description strings that contains things similar to a tag
  like an email address
- Fix gdmsetup so that the window manager close button works
  as the Close button in the dialog
- Fix for bug #352838, avoid crashing by moving call to get
  GDM_KEY_SYSTEM_MENU until after authentication check.
- Add g_type_init() to gdmflexiserver since this is needed
  for -a (authentication) code to work.
- Translation updates
* Tue Sep 26 2006 jhargadon@suse.de
- removed am_devperm.so from gdm.pamd and gdm-autologin.pamd
  to resolve bug #206963
* Wed Sep 20 2006 jhargadon@suse.de
- modified SuSEconfig.gdm to reflect the name change of gdm.conf
  to custom.conf.  bug #206904
* Thu Sep 14 2006 jhargadon@suse.de
- update to version 2.16.0
- Minor improvements to SDTLOGIN logic, used on Solaris to drop the
  Xserver to user permissions for added security
- Translation updates
- 327530 - Ensure login window always has focus.
- 341619 - No longer save "Failsafe" sessions as user's default login
* Mon Sep  4 2006 kukuk@suse.de
- Add pam_loginuid.so to gdm.pamd and gdm-autologin.pamd
* Wed Aug 30 2006 jhargadon@suse.de
- update to version 2.15.10
- Now gdmlogin centers cursor in the GUI to ensure that the login
  window always has focus
- Translation updates
* Thu Aug 24 2006 sbrabec@suse.cz
- Include xorg-x11-server to BuildRequires to properly detect Xorg
  version (#201125).
- Enabled parallel build.
- Enabled secure remote session support.
* Wed Aug 23 2006 jhargadon@suse.de
- update to version 2.15.9
- Fix so that focus never leaves the user/password entry when using
  the gdmgreeter Options button.
- Fix error message that gets printed when you try to run GDM
  daemon as a non-root user.
- Remove calls to syslog/malloc that are called from inside signal
  handlers, since they are not safe.
- Translation updates
- Fix to bugs causing gdmchooser to core dump when started.
* Thu Aug 10 2006 jhargadon@suse.de
- update to version 2.15.7
- Now GDM does not save Failsafe GNOME or Failsafe Xterm as the
  user's default session
- Updated GDM's slave/daemon message handling so it uses
  giochannel internal buffering.
- Performance improvements to gdmsetup start-up.
- Translation updates
- Timed Login message fixed so it works when TimedLogin is set to a
  piped script.
- Fix decoding of suspend command so it works.
- Make sure that focus is returned to entry after dialogs are launched
  from the new Options button.
- NoHost icon updated to use official GNOME logo.  New default face
  image with a facelift.
- Scrolling regions in gdmsetup User tab are now scrollable
  vertically, improving UI experience.
- Correction to autologin PAM service name so automatic login works.
- Fix compiler warnings that were causing core dumping issues on
  some platforms
- Correction for serious security issue where the user can enter the
  GDM configuration GUI with a user password when the Face Browser
  is enabled.
- Fixed bug where when the "Include All" button is modified in the
  Users tab, the Automatic/Timed login dropdown lists update
  properly.
- Now gdmflexiserver calls gdmcomm_check with FALSE so it will not
  pop up a dialog.
- Added gestures to the AccessKeyMouseEvents configuration file
  so that users can access more accessibility features using
  dwell gestures.
- Now Welcome message is saved in the configuration file in
  UTF-8 format for better readibility.
- Improvements to Face Browser.
- Now when GTK+ style buttons are used in gdmgreeter themes,
  focus always returns to the entry field after clicking on
  a button.
- Now per-display configuration works for greeter/SystemMenu
  and greeter/ChooserButton keys.
- "make install" no longer fails if chown fails.
- If authdir is the fallback dir.  If not, and GDM cannot
  access the user's $HOME directory, then try and use the
  fallback directory.
- No longer use popt in favor of glib's GOption command line parsing.
- Fix bug that was causing ShowGnomeFailsafeSession and
  ShowGnomeXtermSession configuration values to not work.
- Now add gdm-ssh-session to distribution tarball, and fix the
  ssh-session.desktop file so that it sets the right TryExec
  value even if --libexecdir isn't passed into configure.
- Fix layout of new buttons in gdmgreeter themes.
- Improvements to signal handling, fixing problem where GDM slave can
  hang on read.
- Better configure support for FreeBSD.
- Fix security/AllowRemoteAutoLogin and fix SuspendCommand configuration
  so it honors SystemMenu.
- Explicitly adjust the effective GID before running the child session
  program to avoid remaining with high privileges.
- Now allow the PAM Stack to be specified in the GDM configuration instead
  of being hardcoded to "gdm"
- Per-display configuration is now supported.
- Greeter themes now support real GTK+ button types, making gdmgreeter
  better support a11y and allow GTK themeable buttons.
* Fri Jun  9 2006 hpj@suse.de
- Update domain entry patch to default to the currently joined
  Active Directory domain if there was no stored preference. Fixes
  Novell bug #167344.
* Thu Jun  1 2006 hpj@suse.de
- Don't let any user configure GDM from the login screen if a
  theme with user list is in effect. Fixes Novell bug #180219.
* Thu Jun  1 2006 dreveman@suse.de
- Fix bg patch and change gdm.conf patch so we pass -br to X
  server for black root window. (bnc 179847)
* Wed May 24 2006 sbrabec@suse.cz
- Do not display Japanese string in terminal, which doesn't support
  it (#168736).
- Disabled beep on start (#174786).
* Fri May 19 2006 hpj@suse.de
- Made GDM use the more graphically intensive, but prettier,
  gdmgreeter for remote logins. Fixes Novell bug #176661.
* Tue May 16 2006 sbrabec@suse.cz
- Do not require exact UID 50 (it can fail, if already assigned).
- Do not fail, if group gdm already exists.
- Behave properly, if gdm.conf defines server 1 (#175829).
* Fri May 12 2006 sbrabec@suse.cz
- Store value of PERMISSION_SECURITY by SuSEconfig in
  gdm_sysconfig.conf (169639#c20).
* Tue May  9 2006 hpj@suse.de
- Made GDM use the "gdm" group instead of shadow. Fixes Novell bug
  [#119651].
- Made use of the tab key work like pressing enter if there is no
  other entry to tab to. Part of fix for Novell bug #160879 and
  [#167343].
- Made use of the enter key in the domain entry work like it does
  in the user/password entry. Par of fix for Novell bug #160879
  and #167343.
* Wed Apr 26 2006 hpj@suse.de
- Added patch to show info messages in dialog. Needed for AD,
  resolves bug #162146.
* Mon Apr 10 2006 hpj@suse.de
- Update .ICEauthority fixup patch, corrects serious security
  problem (bug #164520).
* Fri Apr  7 2006 sbrabec@suse.cz
- Use translation compendium gnome-patch-translation.
* Thu Apr  6 2006 hpj@suse.de
- Add patch to fix logic for .ICEauthority permissions correction.
  Fixes bug #162952.
* Fri Mar 31 2006 jpr@suse.de
- Extend gdm timeout to 30 seconds, 10 seconds is too short for the
  ATI driver to respond under Xgl
* Mon Mar 20 2006 federico@novell.com
- Fixed uninstallation of symbolic links for the earlygdm startup
  service, bug #158786.
* Sat Mar 11 2006 coolo@suse.de
- fix the only-show-in-gnome patch to patch the .desktop.in
* Tue Mar  7 2006 federico@novell.com
- Fix installation of the earlygdm service; we were not calling
  fillup_and_insserv with "displaymanager" for the configuration
  filename.
* Wed Mar  1 2006 sbrabec@suse.cz
- KDM_SHUTDOWN renamed to DISPLAYMANAGER_SHUTDOWN, use fillup only
  in PLUS (148468#c17).
* Tue Feb 28 2006 sbrabec@suse.cz
- Use kdelibs3-doc in BuildRequires for meinproc (#153635#c14).
* Sat Feb 25 2006 hpj@suse.de
- Add patch to fix tab keynav.
* Fri Feb 17 2006 sreeves@suse.de
- Update .desktop file (Name, GenericName, Comment, DocPath)
* Fri Feb 17 2006 gekker@suse.de
- Fix background color in GDM, it should be black
* Fri Feb 17 2006 sbrabec@suse.cz
- Added sysconfig fillup template (148468#c15).
* Mon Feb 13 2006 sbrabec@suse.cz
- Implemented KDM_SHUTDOWN to SuSEconfig.gdm (#148468).
- Set AllowRemoteRoot=false in gdm.conf to follow default
  sysconfig.
* Mon Feb 13 2006 hpj@suse.de
- Updated shutdown options patch: Whether to allow shutdown,
  and whether this requires root auth, are the two new options.
- Enforce shutdown options on logout as well.
* Fri Feb 10 2006 coolo@suse.de
- don't show gdm desktop files in KDE
- use the new way to call preload
* Mon Feb  6 2006 sbrabec@suse.cz
- Implemented DISPLAYMANAGER_AD_INTEGRATION to SuSEconfig.gdm
  (#139338).
* Mon Feb  6 2006 hpj@suse.de
- Updated domain entry patch to use --all-domains with wbinfo.
- Updated domain entry patch to show "<Local>" for local login.
- Added patch to require root auth to halt or reboot.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 19 2006 hpj@suse.de
- Updated the domain logon patch with numerous new features and
  cosmetic fixes.
* Tue Jan 17 2006 hpj@suse.de
- Fixed a bug in logon code that prevented domain logons from
  working. Updated domain logon patch.
* Fri Jan 13 2006 schwab@suse.de
- Don't strip binaries.
* Tue Jan 10 2006 hpj@suse.de
- Added domain logon patch for ADS.
* Mon Dec  5 2005 gekker@suse.de
- Updated background patch from David Reveman
* Wed Nov 30 2005 gekker@suse.de
- Update o version 2.8.0.7
- Remove upstream patch
- Fixup patch for background colors
* Thu Nov 10 2005 rml@suse.de
- Add earlygdm init script.  Right now, we just preload gnome bits.
* Wed Nov  2 2005 gekker@suse.de
- Fix so ctrl-alt-backspacing restarts the xserver (#113718)
- Patch from upstream b.g.o (#152906)
* Mon Oct 17 2005 gekker@suse.de
- Make gdm.conf %%config(noreplace)
* Fri Oct 14 2005 hpj@suse.de
- Updated xauthority-across-hostname-changes patch to use
  XAUTHLOCALHOSTNAME environment variable.
* Thu Oct 13 2005 gekker@suse.de
- Update to version 2.8.0.5
* Wed Oct  5 2005 gekker@suse.de
- Rediff patch for background colors
* Tue Oct  4 2005 gekker@suse.de
- Fix background colors to be consistent on startup
* Tue Sep 20 2005 sbrabec@suse.cz
- Removed references to build directory in installed .la files.
* Thu Sep 15 2005 gekker@suse.de
- Make Industrial the default Gtk+ theme (114173)
* Tue Sep  6 2005 sbrabec@suse.cz
- Updated to version 2.8.0.4.
* Tue Aug 23 2005 gekker@suse.de
- Update to version 2.8.0.3
- Remove upstreamed autologin patch
- Now installs .desktop files in correct location no need to move
* Sat Aug 20 2005 hpj@suse.de
- Make the default session option work on autologin; we now get GNOME.
* Tue Aug 16 2005 sbrabec@suse.cz
- Use gnome-screensaver instead of xscreensaver.
* Fri Aug 12 2005 hpj@suse.de
- Made gdm-autologin.pam not require a password.
* Fri Aug 12 2005 jpr@suse.de
- require xorg-x11-xnest for the gdmflexiserver -n option
* Thu Aug 11 2005 gekker@suse.de
- Update to version 2.8.0.2
- Make 64bit clean
* Sun Jul 31 2005 jpr@suse.de
- turn on compatibility symlink for all products
* Tue Jul  5 2005 gekker@suse.de
- Update to version 2.8.0.1
- Do not use hostname in authentication cookie (82688).
- Disabling of "timed login" doesn't work (8060).
- Issues with "timed login" being set to zero (8024).
- Display flickers for every letter typed (6354).
* Fri Jun 24 2005 sbrabec@suse.cz
- Added compatibility symlink %%{prefix}/bin/gdm for older products.
* Wed Jun 22 2005 gekker@suse.de
- Update to version 2.8.0.0
* Fri Apr 22 2005 sbrabec@suse.cz
- Implemended DISPLAYMANAGER_PASSWORD_LESS_LOGIN using SuSEconfig
  and PAM configuration (#74198).
* Fri Apr 22 2005 sbrabec@suse.cz
- Fixed logdir (#56205).
* Mon Mar 21 2005 jody@suse.de
- Fix typo in upstream package that broke Shutdown
- Repaired Suspend command to actually work
* Fri Mar 18 2005 sbrabec@suse.cz
- Removed X-Ximian-Settings (#73047).
* Wed Mar 16 2005 sbrabec@suse.cz
- Fixed capplets desktop files path.
- Added X-Ximian-Settings to gdmsetup and gdmphotosetup (#73047).
* Tue Mar 15 2005 sbrabec@suse.cz
- Fixed X-KDE-RootOnly in gdmsetup.desktop (#66693).
* Wed Mar  9 2005 gekker@suse.de
- Update to version 2.6.0.8 (GNOME 2.10).
* Fri Feb 18 2005 sbrabec@suse.cz
- Remove gdm_sysconfig.conf before update to force gdm.conf configuration.
* Fri Feb 11 2005 sbrabec@suse.cz
- Resource only /usr/share/xsessions for session desktop files.
- Fixed tcp_wrappers support on bi-arch.
* Fri Feb 11 2005 gekker@suse.de
- Update to version 2.6.0.7
* Wed Feb  9 2005 sbrabec@suse.cz
- Cleaned-up configuration and patches.
- Prepared moving of session files to windowmanager packages.
* Tue Feb  8 2005 gekker@suse.de
- Add patch back to fix Xsession file
* Mon Jan 24 2005 meissner@suse.de
- added missing NULL in a g_strconcat.
* Thu Jan 20 2005 gekker@suse.de
- Update to version 2.6.0.6
* Wed Nov 17 2004 hhetter@suse.de
- add X-KDE-RootOnly to gdmsetup.desktop (#45807)
* Mon Nov 15 2004 kukuk@suse.de
- Use common-* PAM config files for gdm and gdm-autologin
* Tue Oct 26 2004 mmj@suse.de
- Locale rename no to nb
* Fri Oct 15 2004 sbrabec@suse.cz
- Implemented sysconfig displaymanager support.
* Fri Sep 24 2004 hhetter@suse.de
- gdm must require gnome-themes, to ensure availability of
  the industrial theme (#44330)
* Wed Aug 25 2004 clahey@suse.de
- Cache gdm help and show gdm in khelpcenter.
* Mon Aug 16 2004 ro@suse.de
- fixed specfile
* Mon Aug 16 2004 shprasad@suse.de
- Fixes bug #60020
  Invalid username/passwd input doen't bring the password dialog
  for timed login user.
* Fri Jul 30 2004 ro@suse.de
- fix spec file, list gdm-session-startkde.diff as patch
* Fri Jul 30 2004 shprasad@suse.de
- Fixes bug #60867.
  Shows the 'KDE' option when the user clicks on 'Session' at the
  time of login.
  (In the spec file, the diff file, gdm-session-startkde.diff, is
  applied at the %%install section)
* Thu Jun 24 2004 dave@suse.de
- Added gdm-presession-kde-path.patch, adds /opt/kde3/bin to the
  gdm path
* Fri Jun 11 2004 clahey@suse.de
- Added gdm-support-gdmctl.patch.
* Wed Jun  2 2004 mibarra@suse.de
- Fixed gdm.conf to use the correct group
* Wed Jun  2 2004 clahey@suse.de
- Set theme to industrial (as well as a few other small changes.)
* Fri May  7 2004 hhetter@suse.de
- updated to version 2.6.0.0 [GNOME2.6]
* Wed Mar 31 2004 hhetter@suse.de
- startup in graphical theme (#37668)
- Require gnome2-SuSE for the Default Theme (#37707)
- honor xdm scripts (#37852)
* Tue Mar 23 2004 sbrabec@suse.cz
- Non-UTF-8 locales removed from language menu.
* Mon Mar 22 2004 hhetter@suse.de
- remove SuSEconfig.gdm; it's no longer needed to manage
  the available sessions for gdm, as it is now using desktop
  files to define it's sessions (#36267)
* Mon Mar 15 2004 sbrabec@suse.cz
- FHS 2.3 fix (mandir, infodir, #35821).
* Wed Mar 10 2004 sbrabec@suse.cz
- Fixed %%doc attributes (#33163).
* Tue Mar  9 2004 hhetter@suse.de
- include desktop files for sessions
* Tue Mar  2 2004 hhetter@suse.de
- updated to version 2.4.4.7 [GNOME 2.4.2]
- applied adapted bash-login-shell patch
- adapted desktop file patch
- adapted configuration file (use tools from powersave)
* Thu Feb 26 2004 hhetter@suse.de
- attached patch: gdm-2.4.1.6-bash-login-shell.patch,
  make sure a login shell is available when using
  bash
* Fri Feb 20 2004 sbrabec@suse.cz
- Package renamed to gdm.
* Fri Jan 16 2004 kukuk@suse.de
- Add pam-devel to neededforbuild
* Sat Jan 10 2004 adrian@suse.de
- add %%defattr
* Thu Sep 18 2003 adrian@suse.de
- add Categories
- show entries only in Gnome (#31287)
* Fri Sep  5 2003 hhetter@suse.de
- added Obsoletes: gdm
* Tue Aug 19 2003 sbrabec@suse.cz
- Updated neededforbuild (rename of librsvg2, eel2).
* Tue Aug 12 2003 hhetter@suse.de
- updated to version 2.4.1.6
* Mon Jul 28 2003 kukuk@suse.de
- Make sure /var/lib/gdm has correct permissions
* Fri Jul 25 2003 hhetter@suse.de
- move capplets to correct position
- fix build
* Wed Jul 16 2003 sbrabec@suse.cz
- Fixed prefix in configuration files.
* Mon Jul 14 2003 sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Wed Jun 25 2003 sbrabec@suse.cz
- Updated to version 2.4.1.4.
- Fixed default path to Xwilling.
- Updated neededforbuild.
- Use %%find_lang.
- Prefix clash fix (capplets).
* Wed May 28 2003 ro@suse.de
- remove unpackaged files from buildroot
* Mon May 26 2003 sbrabec@suse.cz
- Re-enabled UTF-8 alternatives for all locales.
* Sun Mar 16 2003 adrian@suse.de
- add resmgr support to pam
* Mon Mar 10 2003 hhetter@suse.de
- use LC_MESSAGES instead of LC_ALL for setlocale
  ( Bug Id#24889 )
* Thu Feb 27 2003 sbrabec@suse.cz
- Removed gdm wrapper (fixes problems with default language and init
  script - bug #23875).
* Tue Feb 25 2003 sbrabec@suse.cz
- Don't offer UTF-8 locales.
* Mon Feb 24 2003 hhetter@suse.de
- use graphical greeter by default
* Thu Feb 20 2003 sbrabec@suse.cz
- Use system language for GDM login from /etc/sysconfig/language.
* Tue Feb 18 2003 sbrabec@suse.cz
- Updated default config and locale aliases (UTF-8 locales).
* Fri Feb  7 2003 hhetter@suse.de
- updated to 2.4.1.3 [GNOME 2.2.0]
* Fri Feb  7 2003 kukuk@suse.de
- Use pam_unix2.so instead of pam_unix.so
* Thu Jan 16 2003 ro@suse.de
- use gtk2-devel-packages and libjpeg in neededforbuild
* Tue Jan  7 2003 sbrabec@suse.cz
- Update to version 2.4.1.0.
- Make Default session file executable.
- Added UTF-8 as alternative for all locales.
- Turned on TCP wrappers support.
* Mon Jan  6 2003 sbrabec@suse.cz
- Install SuSE specific PAM configuration (from xdm), fix its install
  place.
- Removed sox from neededforbuild.
* Thu Nov 28 2002 hhetter@suse.de
- updated to version 2.4.0.12 [GNOME 2.0.3]
* Tue Nov 12 2002 ro@suse.de
- changed neededforbuild <xf86 xdevel> to <x-devel-packages>
* Sun Nov  3 2002 mfabian@suse.de
- Bug Id #21407: correct wrong spelling of UTF-8 locale names
  in /etc/opt/gnome2/gdm/locale.alias. de_DE.utf8 was used
  instead of de_DE.UTF-8 etc., but de_DE.UTF-8 is not supported
  by X11, although de_DE.utf8 and de_DE.UTF-8 is the same
  as far as glibc is concerned, the correct spelling is important
  for X11.
- Bug Id #21408: When using gdm2 the usual intialization file
  of an X session, i.e. ~/.xinitrc, ~/.xsession, ~/.Xmodmap
  ~/.xim etc. were not read. Because of this, inputservers for CJK
  languages did not start automatically and other default
  settings were not correct either.
  I fixed this by improving /etc/opt/gnome2/gdm/Sessions/Default
  to use 'exec /etc/X11/xdm/Xsession $WINDOWMANGER $GDM_LANG'.
  This makes the default behaviour when using gdm2 the same
  as when using kdm or xdm.
* Tue Sep 24 2002 sbrabec@suse.cz
- Added alsa-devel to neededforbuild, because esound-devel can require it.
* Thu Sep 19 2002 sbrabec@suse.cz
- Added alsa to neededforbuild, because esound can depend on it.
* Thu Sep  5 2002 hhetter@suse.de
- updated to version 2.4.0.11, fixing a security issue
  (no longer open the logging file descriptor as root in
  slave.c ) ( Bug Id #18908 )
* Mon Sep  2 2002 hhetter@suse.de
- if no session was chosen or previously saved, choose
  the gnome session ( Bug Id #18729)
* Fri Aug 30 2002 hhetter@suse.de
- fix default script and session linking (Bug Id#18602)
* Thu Aug 22 2002 hhetter@suse.de
- parse correct Session directory (Bug Id#18181)
* Tue Aug 20 2002 hhetter@suse.de
- fix prereq
* Mon Aug 12 2002 hhetter@suse.de
- updated to version 2.4.0.7
- fix neddedforbuild
* Wed Aug  7 2002 hhetter@suse.de
- updated to version 2.4.0.5
- fix typo in SuSEconfig script (#17438)
- fix linking of sessions
* Wed Jul 17 2002 hhetter@suse.de
- updated to version 2.4.0.2
  * busy cursor when start X
  * 'System Default' language choice
  * fix unresponsive behaviour when first asking for
  username in graphical greeter #83187 (bugzilla.gnome.org)
  * 'Last' language choice in graphical greeter
  * 24 hour clock setting in graphical greeter
  * Happy Gnome Theme Update
  * more languages supported #84290 (bugzilla.gnome.org)
  * Translation updates
* Thu Jul 11 2002 hhetter@suse.de
- fix default session
- activate graphical gdmgreeter for local logins by default
* Wed Jul 10 2002 hhetter@suse.de
- updated to version 2.4.0.1, bugfix release
- SuSEconfig.gdm2 to manage the GDM sessions
* Tue Jul  9 2002 hhetter@suse.de
- initial SuSE package
- create gdm user
